YPMATCH(1)

NAME
ypmatch - print the values of one or more keys in a YP database

SYNOPSIS
ypmatch [-kt] [-d domainname] key ... mapname
ypmatch -x

DESCRIPTION
ypmatch prints out the values of one or more keys from the YP database specified by mapname, which may be a map name or a map nickname.

The options are as follows:

-d domainname
    Specify a domain other than the default domain.

-k  Print the map key followed by a colon, before printing key value. This option is useful with maps in which the values are null or the key is not part of the value.

-t  Inhibit translation of map nicknames to their corresponding map names.

-x  Display the map nickname table.

SEE ALSO
domainname(1), ypcat(1), ypwhich(1), yp(8), ypbind(8), yppoll(8), ypset(8)

AUTHORS
Theo de Raadt